"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.InnityAd = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactNative = require("react-native");
var _InnityModules = require("./InnityModules");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const InnityAd = _ref => {
  let {
    height,
    publisher_id,
    zone_id
  } = _ref;
  const AD_HEIGHT = _reactNative.PixelRatio.getPixelSizeForLayoutSize(300);
  const AD_WIDTH = _reactNative.PixelRatio.getPixelSizeForLayoutSize(_reactNative.Dimensions.get("window").width);
  const ref = (0, _react.useRef)(null);
  (0, _react.useEffect)(() => {
    const viewId = (0, _reactNative.findNodeHandle)(ref.current);
    createAD(viewId);
  }, []);
  const createAD = viewId => {
    // if (zone_id == "medium_rectangle") {
    //   createMediumRectangle(viewId);
    // }
    // if (zone_id == "medium_rectangle_cube") {
    //   createMediumRectangleCube(viewId);
    // }
    createMediumRectangle(viewId);
  };
  const createMediumRectangle = viewId => _reactNative.UIManager.dispatchViewManagerCommand(viewId,
  // we are calling the 'create' command
  _reactNative.UIManager.MyViewManager.Commands.create.toString(), [viewId]);
  const createMediumRectangleCube = viewId => _reactNative.UIManager.dispatchViewManagerCommand(viewId,
  // we are calling the 'create' command
  _reactNative.UIManager.MediumRectangleCube.Commands.create.toString(), [viewId]);
  const renderAd = () => {
    switch (zone_id) {
      case "medium_rectangle":
        return /*#__PURE__*/_react.default.createElement(_InnityModules.MyViewManager, {
          style: {
            height: AD_HEIGHT,
            width: AD_WIDTH
          },
          zone_id: zone_id,
          publisher_id: publisher_id,
          ref: ref
        });
      case "medium_rectangle_cube":
        return /*#__PURE__*/_react.default.createElement(_InnityModules.MediumRectangleCube, {
          style: {
            height: AD_HEIGHT,
            width: AD_WIDTH
          },
          publisher_id: publisher_id,
          zone_id: zone_id,
          ref: ref
        });
    }
  };
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: {
      height: height,
      backgroundColor: "transparent"
    }
  }, /*#__PURE__*/_react.default.createElement(_InnityModules.MyViewManager, {
    style: {
      // converts dpi to px, provide desired height
      height: _reactNative.PixelRatio.getPixelSizeForLayoutSize(200),
      // converts dpi to px, provide desired width
      width: _reactNative.PixelRatio.getPixelSizeForLayoutSize(200)
    },
    ref: ref
  }));
};
exports.InnityAd = InnityAd;
//# sourceMappingURL=InnityAd.js.map