import React, { useEffect, useState, useRef } from 'react';
import { Dimensions, View } from 'react-native';
import { PixelRatio, UIManager, findNodeHandle, Text } from 'react-native';
import { MyViewManager, MediumRectangleCube } from './InnityModules';
export const InnityAd = _ref => {
  let {
    height,
    publisher_id,
    zone_id
  } = _ref;
  const AD_HEIGHT = PixelRatio.getPixelSizeForLayoutSize(300);
  const AD_WIDTH = PixelRatio.getPixelSizeForLayoutSize(Dimensions.get("window").width);
  const ref = useRef(null);
  useEffect(() => {
    const viewId = findNodeHandle(ref.current);
    createAD(viewId);
  }, []);
  const createAD = viewId => {
    // if (zone_id == "medium_rectangle") {
    //   createMediumRectangle(viewId);
    // }
    // if (zone_id == "medium_rectangle_cube") {
    //   createMediumRectangleCube(viewId);
    // }
    createMediumRectangle(viewId);
  };
  const createMediumRectangle = viewId => UIManager.dispatchViewManagerCommand(viewId,
  // we are calling the 'create' command
  UIManager.MyViewManager.Commands.create.toString(), [viewId]);
  const createMediumRectangleCube = viewId => UIManager.dispatchViewManagerCommand(viewId,
  // we are calling the 'create' command
  UIManager.MediumRectangleCube.Commands.create.toString(), [viewId]);
  const renderAd = () => {
    switch (zone_id) {
      case "medium_rectangle":
        return /*#__PURE__*/React.createElement(MyViewManager, {
          style: {
            height: AD_HEIGHT,
            width: AD_WIDTH
          },
          zone_id: zone_id,
          publisher_id: publisher_id,
          ref: ref
        });
      case "medium_rectangle_cube":
        return /*#__PURE__*/React.createElement(MediumRectangleCube, {
          style: {
            height: AD_HEIGHT,
            width: AD_WIDTH
          },
          publisher_id: publisher_id,
          zone_id: zone_id,
          ref: ref
        });
    }
  };
  return /*#__PURE__*/React.createElement(View, {
    style: {
      height: height,
      backgroundColor: "transparent"
    }
  }, /*#__PURE__*/React.createElement(MyViewManager, {
    style: {
      // converts dpi to px, provide desired height
      height: PixelRatio.getPixelSizeForLayoutSize(200),
      // converts dpi to px, provide desired width
      width: PixelRatio.getPixelSizeForLayoutSize(200)
    },
    ref: ref
  }));
};
//# sourceMappingURL=InnityAd.js.map